%define name	xvkbd
%define version	3.7

Name: 	 	%{name}
Summary: 	Virtual (on-screen) keyboard for X
Summary(de):	Virtuelle Bildschirmtastatur für X
Version: 	4.1
Release: 	%mkrel 4

Source:		http://homepage3.nifty.com/tsato/%{name}/%{name}-%{version}.tar.xz
URL:		http://homepage3.nifty.com/tsato/xvkbd/
License:	GPLv2
Group:		System/X11
Packager:	Stumpy842
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#===================================
BuildRequires: ImageMagick
BuildRequires: imake
BuildRequires: lib64ice-devel
BuildRequires: lib64sm-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xaw-devel
BuildRequires: lib64xi-devel
BuildRequires: lib64xmu-devel
BuildRequires: lib64xt-devel
BuildRequires: lib64xtst-devel
BuildRequires: lib64xaw3d-devel
#===================================

%description
xvkbd is a virtual (graphical) keyboard program for X Window System which
provides facility to enter characters onto other clients (softwares) by
clicking on a keyboard displayed on the screen. This may be used for systems
without a hardware keyboard such as kiosk terminals or handheld devices.

This program also has facility to send characters specified as the command
line option to another client, which can help when one wants to fully utilize
some modern mice with multiple buttons.

%description -l de
xvkbd ist eine virtuelle (grafisches) Tastatur für das X Window System, 
welches die Möglichkeit bietet, Zeichen auf anderen Klienten (Software) einzugeben,
indem es eine Tastatur auf dem Bildschirm ausgibt. Dies kann für Systeme ohne 
Hardwaretastatur, wie z.B. Kiosk-Terminals oder Handheld-Geräte verwendet werden.

Dieses Programm hat auch Funktionen zum Senden von angegeben Zeichen, wie das 
Senden von Kommandozeilenoptionen an einen anderen Klienten, dies kann hilfreich
beim Unterstützen von einigen moderne Mäusen sein, um mehrere Schaltflächen 
vollständig nutzen zu können. 

%prep
%setup -q

%build
perl -pl -i -E 's/\s+//g if /^InstallNonExec.*words\.english/' Imakefile
xmkmf
%make_build CDEBUGFLAGS="%optflags" SHLIBGLOBALSFLAGS="%ldflags" EXTRA_LDOPTIONS="%ldflags"

%install
mkdir -p %{buildroot}/%{_datadir}/X11
%make_install install.man
rm -f %{buildroot}/%_prefix/lib/X11/app-defaults

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Virtual Keyboard
Name[de]=Virtuelle Tastatur
Comment=On-screen keyboard for X
Comment[de]=Bildschirmtastatur für X
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Accessibility;
EOF

#icons
mkdir -p %{buildroot}%_liconsdir
convert -size 48x48 xvkbd_icon.xbm %{buildroot}%_liconsdir/%name.png
mkdir -p %{buildroot}%_iconsdir
convert -size 32x32 xvkbd.xbm %{buildroot}%_iconsdir/%name.png
mkdir -p %{buildroot}%_miconsdir
convert -size 16x16 xvkbd.xbm %{buildroot}%_miconsdir/%name.png

%files
%defattr(-,root,root)
%doc README
%_prefix/bin/*
%{_mandir}/man1/*
%{_datadir}/X11
%{_datadir}/applications
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Thu Aug 03 2023 tex - 4.1-4pclos2023
- rebuild against updates

